Commit b509d005 authored by Till Brehm's avatar Till Brehm
Browse files

Changed a function in tform.inc.php to make it compatible with php 5.1 (used in Centos 5.10).

parent 4e1eb639
......@@ -252,7 +252,9 @@ class tform {
unset($tmp_recordid);
$querystring = str_replace("{AUTHSQL}", $this->getAuthSQL('r'), $querystring);
$querystring = preg_replace_callback('@{AUTHSQL::(.+?)}@', "self::table_auth_sql", $querystring);
//$querystring = preg_replace_callback('@{AUTHSQL::(.+?)}@', "self::table_auth_sql", $querystring);
//*Used the ld form to be compatible with php < 5.3
$querystring = preg_replace_callback('@{AUTHSQL::(.+?)}@', create_function('$matches','global $app; $tmp = $app->tform->getAuthSQL("r", $matches[1]); return $tmp;'), $querystring);
// Getting the records
$tmp_records = $app->db->queryAllRecords($querystring);
......@@ -293,10 +295,12 @@ class tform {
return $values;
}
/*
function table_auth_sql($matches){
return $this->getAuthSQL('r', $matches[1]);
}
*/
//* If the parameter 'valuelimit' is set
function applyValueLimit($limit, $values) {
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment